DELETE /api/pro/grants/:oauthClientId

Ends an agent's access at once.

Surface: professional. Who may call: professional. Key: professional.grants.revoke.

Example request

curl -X DELETE https://caremcp.com/api/pro/grants/5b0e7c6e-6a0b-4a51-9a53-0f2f3c8f6e1a \
  -H "Authorization: Bearer <session or access token>"

Example input

{
  "oauthClientId": "5b0e7c6e-6a0b-4a51-9a53-0f2f3c8f6e1a"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "oauthClientId": {
   "type": "string",
   "format": "uuid",
   "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
  }
 },
 "required": [
  "oauthClientId"
 ]
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "ok": {
   "type": "boolean",
   "const": true
  }
 },
 "required": [
  "ok"
 ],
 "additionalProperties": false
}